function init()
    lights = FindLights()
    switch = FindShape("switch")
    on = GetBoolParam("default", true)
    switchpos = GetShapeLocalTransform(switch).Vec
    breaker = LoadSound('sounds/switch.ogg')
    nightfactor = GetBoolParam("night", false)
    starterc = 0
    inited = false
    --previousfvalue = GetEnvironmentProperty('nightlight')
    
    ontransform = Transform(Vec(0, 2, 0), QuatEuler(0, 90, 0))
    
    if on == true then
      SetTag(switch, "interact", "On")

      s = GetShapeLocalTransform(switch)
      d = TransformToParentVec(s, Vec(0,-.1,0))
      s.pos = VecAdd(s.pos, d)
      SetShapeLocalTransform(switch, s)
      
    else
      SetTag(switch, "interact", "Off")
      
    end

    for i, light in ipairs(lights) do
      SetLightEnabled(light, on)
    end
end


function tick()
  if starterc < 15 then
    inited = false
    starterc = starterc + 1
  else 
    inited = true
  end  


    if nightfactor == true then 
      newfvalue = GetEnvironmentProperty('nightlight')
      
      if newfvalue ~= previousfvalue then 
          if on == false then 
            if GetEnvironmentProperty('nightlight') == true then
            s = GetShapeLocalTransform(switch)
            d = TransformToParentVec(s, Vec(0,-.1,0))
            s.pos = VecAdd(s.pos, d)
            SetShapeLocalTransform(switch, s)
            on = true
            end
          elseif on == true then
            if GetEnvironmentProperty('nightlight') == false then
            s = GetShapeLocalTransform(switch)
            d = TransformToParentVec(s, Vec(0,.1,0))
            s.pos = VecAdd(s.pos, d)
            SetShapeLocalTransform(switch, s)
            on = false
            SetTag(switch, "interact", "Off")
            end
          end

        for i, light in ipairs(lights) do
          SetLightEnabled(light, on)
        end
      end
      previousfvalue = newfvalue
    end
 



  if GetPlayerInteractShape() == switch then

		if InputPressed("interact") then
			PlaySound(breaker)

      if on == false then
        s = GetShapeLocalTransform(switch)
        d = TransformToParentVec(s, Vec(0,-.1,0))
        s.pos = VecAdd(s.pos, d)
        SetShapeLocalTransform(switch, s)
        on = true
        SetTag(switch, "interact", "On")
      else
        s = GetShapeLocalTransform(switch)
        d = TransformToParentVec(s, Vec(0,.1,0))
        s.pos = VecAdd(s.pos, d)
        SetShapeLocalTransform(switch, s)
        on = false
        SetTag(switch, "interact", "Off")
      end
      
      for i, light in ipairs(lights) do
        SetLightEnabled(light, on)
      end

      
    end
	end
end