#include "eli-core-module.lua"

function init()
	
	snd = LoadSound("MOD/menu/tool-select.ogg")
	fpsmode = " fps"
	fpsenabled = "Off"
	christmasmode = ""
	christmasenabled = "Off"
	debug = false
	current_move = 0
	target = 0
	changenotess = false
end

function tick(dt)
	PlayMusic("MOD/menu/cali.ogg")
	UiMakeInteractive()
	if InputLastPressedKey() == 'E' then
		if debug == false then
			debug = true
		else
			debug = false
		end
	end

	if debug == true then 
		debuge = " debug"

	else 
		debuge = ""

	end

	if frozen == false then
		if changenotess == false then
			if current_move >= target then
				current_move = current_move - 6
			else 
				current_move = 0
				frozen = true
			end
		else
			if current_move <= target then
				current_move = current_move + 6
			else
				current_move = 700
				frozen = true
			end
		end
	end



end



function draw()


	--Ui
	UiAlign("center middle")
	UiFont("MOD/common/fonts/Montserrat-SemiBold.ttf", 26)
	UiButtonImageBox("MOD/common/box-solid-6.png", 15, 15)
	UiButtonHoverColor(1.0, 0.84, 0.64)

	UiPush()
	scale=(UiWidth()-0)/1300
	UiTranslate(UiWidth()-0,0)
	UiAlign("right top")
	UiScale(scale)
	
	
	UiImage("MOD/menu/sunny.png",UiHeight())		


UiPop()

UiPush()
UiTranslate(100, 90)
UiAlign("left top")
UiImageBox("MOD/common/sign-01.png", 270, 900, 32, 32)
UiPop()
	
	--Draw buttons
	UiPush()

		

		UiTranslate(239, 180)
		UiImageBox("MOD/menu/calilogo.png", 270, 130, 0, 0)
		UiTranslate(0, 180)
		UiText("Gamemode Options")
		UiTranslate(0, 50)
		if UiTextButton("Sandbox", 200, 40) then
			PlaySound(snd)
			StartLevel("Sandbox", "MOD/level.xml","sandbox furniture water" .. fpsmode .. christmasmode .. debuge)
		end
		UiTranslate(0, 50)
		if UiTextButton("Campaign", 200, 40) then
			PlaySound(snd)	
			StartLevel("Heist", "MOD/level.xml","heist furniture water" .. fpsmode .. christmasmode .. debuge)
		end
		UiTranslate(0, 50)
		if UiTextButton("Moved Out", 200, 40) then
			PlaySound(snd)	
			StartLevel("Moved Out", "MOD/level.xml","movedout water" .. fpsmode .. christmasmode .. debuge)
		end
				
		UiTranslate(0, 80)
		if UiTextButton("Exit", 200, 40) then
			PlaySound(snd)
			Menu()
		end

		UiTranslate(0, 125)
		UiText("FPS Mode:")
		UiTranslate(0, 35)
		if fpsmode == " fps" then 
		UiButtonImageBox("MOD/common/box-solid-6-redg.png", 15, 15)
		else 
		UiButtonImageBox("MOD/common/box-solid-6-greeng.png", 15, 15)
		end
		if UiTextButton(fpsenabled, 200, 40) then
			PlaySound(snd)
			if fpsmode == " fps" then 
				fpsmode = ""
				fpsenabled = "On"
			else
				fpsmode = " fps"
				fpsenabled = "Off"
			end
		end
		UiTranslate(0, 50)
		UiText("Christmas Mode:")
		UiTranslate(0, 35)
		if christmasmode == "" then 
		UiButtonImageBox("MOD/common/box-solid-6-redg-christmas.png", 15, 15)
		else 
		UiButtonImageBox("MOD/common/box-solid-6-greeng-christmas.png",15, 15)
		end
		if UiTextButton(christmasenabled, 200, 40) then
			PlaySound(snd)
			if christmasmode == "" then 
				christmasmode = " christmas"
				christmasenabled = "On"
			else
				christmasmode = ""
				christmasenabled = "Off"
			end
		end
		UiTranslate(0, 70)
		--UiText(fpsmode .. christmasmode .. debuge)
		--UiTranslate(0, 70)
		UiText("Made By:")
		UiTranslate(0, 25)
		UiFont("MOD/common/fonts/Montserrat-BoldItalic.ttf", 24)
		UiText("CennyCoast (Eli)")
		UiFont("MOD/common/fonts/Montserrat-SemiBold.ttf", 15)
		UiTranslate(0, 25)
		
		if debug == false then
			UiColor(1,1,1)
		UiText("Press E to enable debug")
		else 
			UiColor(1,0.5,0.5)
		UiText("Press E to disable debug")
		end
		
		--UiTranslate(-110, 0)
		--UiColor(0.5, 1, 0.1, 1)
	UiPop()

	
	UiPush()
	UiAlign("top left")
	UiTranslate(UiWidth()-current_move, 0)
	UiColor(0,0,0,0.75)
	UiRect(700, UiHeight())
	UiTranslate(50, 50)
	UiColor(1,1,1)
	UiFont("MOD/common/fonts/Montserrat-Black.ttf", 35)
	UiColor(1.0, 0.84, 0.64)
	UiText("Changenotes (" .. mod.data.version .. ")")
	UiTranslate(0, 70)
	UiFont("MOD/common/fonts/Montserrat-Bold.ttf", 30)
	UiColor(1.0, 1, 1)
	UiText(mod.data.changelog)
	UiTranslate(0, 300)
	UiColor(1.0, 0.84, 0.64)
	UiText("Additional Info:")
	UiTranslate(0, 50)
	UiFont("MOD/common/fonts/Montserrat-SemiBold.ttf", 30)
	UiColor(1.0, 1, 1)
	UiText(mod.data.additional)
	UiTranslate(0, 200)
	UiColor(1.0, 0.84, 0.64)
	UiFont("MOD/common/fonts/Montserrat-Bold.ttf", 30)
	UiText("Credits:")
	UiColor(1.0, 1, 1)
	UiTranslate(0, 50)
	UiFont("MOD/common/fonts/Montserrat-SemiBold.ttf", 30)
	UiText(mod.data.credits)
UiPop()


	UiTranslate(UiWidth()-100, UiHeight()-140)
	UiAlign("right bottom")
	UiPush()
		UiFont("MOD/common/fonts/Montserrat-BoldItalic.ttf", 24)
		UiText("Version: " .. mod.data.version)
		UiFont("MOD/common/fonts/Montserrat-Semibold.ttf", 24)
		UiButtonImageBox("MOD/common/box-solid-6.png", 15, 15)
		UiTranslate(0, 50)
		if changenotess == false then
			cos = " show "
		else 
			cos = " close "
		end
		if UiTextButton("Click to" .. cos .. "change notes", 300, 40) then
			PlaySound(snd)
			frozen = false
			if changenotess == true then
				changenotess = false
				target = 0
			else
				changenotess = true
				target = 700
			end
		end
	UiPop()

	
	end