function init()
	motor = FindJoint("motor")	
	min, max = GetJointLimits(motor)
	speed = 1
    target = min
	raisebutton = FindShape("up1")
	lowerbutton = FindShape("down1")

	lightbutton = FindShape("lb")
	light = FindLight("light")
	lit = true

	moving = false

	tparameter = GetStringParam("type", "height")
	defaultlight = GetBoolParam("lightd", true)
	DebugPrint(parameter)
	

	if tparameter == "height" then
		SetTag(raisebutton, "interact", "Raise")
		SetTag(lowerbutton, "interact", "Lower")
	else 
	
	SetTag(raisebutton, "interact", "Open")
	SetTag(lowerbutton, "interact", "Close")
	end

	
	buttonClick = LoadSound("clickup.ogg")
	motorSound = LoadLoop("vehicle/hydraulic-loop.ogg")
	oldMotorPos = GetJointMovement(motor)
	body = FindBody("body")
	if defaultlight == false then
		SetTag(lightbutton, "interact", "Turn On Light")
		lit = false
		SetLightEnabled(light, false)
	else 
		lit = true
		SetLightEnabled(light, true)
	SetTag(lightbutton, "interact", "Turn Off Light")
	end
end


function tick(dt)
	triggerpos = GetShapeWorldTransform(raisebutton)

	local current = GetJointMovement(motor)
	if GetPlayerInteractShape() == raisebutton then
		if InputPressed("interact") then
			if moving == true then
				target = GetJointMovement(motor)
			else
			target = max
			end
			speed = 0.5
			PlaySound(buttonClick,triggerpos.pos)

		end
	end
	if GetPlayerInteractShape() == lowerbutton then
		if InputPressed("interact") then

			if moving == true then
				target = GetJointMovement(motor)
			else
			target = min
			end
			speed = 0.5
			PlaySound(buttonClick,triggerpos.pos)

		end
	end
	if GetPlayerInteractShape() == lightbutton then
		if InputPressed("interact") then

			if lit == true then
				lit = false
				SetLightEnabled(light, false)
				SetTag(lightbutton, "interact", "Turn On Light")
			else
				lit = true
				SetLightEnabled(light, true)
				SetTag(lightbutton, "interact", "Turn Off Light")
			end
		end
	end

	
	

	--if GetJointMovement(motor) - oldMotorPos > 0.01 then
	--	PlayLoop(motorSound,GetBodyTransform(body).pos)
	--end

    if tonumber(string.format("%.1f", GetJointMovement(motor))) ~= tonumber(string.format("%.1f", target)) then
		PlayLoop(motorSound,triggerpos.pos)
		moving = true
	else 
		moving = false
	end

	oldMotorPos = GetJointMovement(motor)
	SetJointMotorTarget(motor, target, speed)	
end
