function init() 
    garageSwingJoint = FindJoint('gsj')
    garageSwingJoint2 = FindJoint('gsj2')
    garagePrismJoint = FindJoint('gpj')
    garagePrismJoint2 = FindJoint('gpj2')
    gsjlmin, gsjlmax = GetJointLimits(garageSwingJoint)
    gsjlmin2, gsjlmax2 = GetJointLimits(garageSwingJoint)
    gpjlmin, gpjlmax = GetJointLimits(garagePrismJoint)
    gpjlmin2, gpjlmax2 = GetJointLimits(garagePrismJoint)
    breaker = LoadSound('sounds/switch.ogg')
    motorSound = LoadLoop("sounds/gdoor.ogg")
    liftbar = FindShape("liftbar")
    door = FindShape('door')
    glight = FindLight('glight')
    
    speeds = 0.4
    speedp = 0.5

    switch = FindShape("switch")
    open = GetBoolParam("default", true)

    if open == true then
        SetTag(switch, "interact", "Close")
  
        s = GetShapeLocalTransform(switch)
        d = TransformToParentVec(s, Vec(0,-.1,0))
        s.pos = VecAdd(s.pos, d)
        SetShapeLocalTransform(switch, s)
        
        gsjt = gsjlmax
        gsjt2 = gsjlmax2
        gpjt = gpjlmax
        gpjt2 = gpjlmax2

        

      else
        SetTag(switch, "interact", "Open")
        gsjt = gsjlmin
        gsjt2 = gsjlmin2
        gpjt = gpjlmin
        gpjt2 = gpjlmin2


      end



end

function tick()
    broken = IsShapeBroken(door)
    triggerpos = GetShapeWorldTransform(liftbar)
    if GetPlayerInteractShape() == switch then

		if InputPressed("interact") then
			PlaySound(breaker)

      if open == false then
        s = GetShapeLocalTransform(switch)
        d = TransformToParentVec(s, Vec(0,-.1,0))
        s.pos = VecAdd(s.pos, d)
        SetShapeLocalTransform(switch, s)
        open = true
        SetTag(switch, "interact", "Close")

        speeds = 0.4
    speedp = 0.5

        gsjt = gsjlmax
        gsjt2 = gsjlmax2
        gpjt = gpjlmax
        gpjt2 = gpjlmax2
      else
        s = GetShapeLocalTransform(switch)
        d = TransformToParentVec(s, Vec(0,.1,0))
        s.pos = VecAdd(s.pos, d)
        SetShapeLocalTransform(switch, s)
        open = false
        SetTag(switch, "interact", "Open")

        speeds = 0.1
        speedp = 0.5

        gsjt = gsjlmin
        gsjt2 = gsjlmin2
        gpjt = gpjlmin
        gpjt2 = gpjlmin2
      end
    end
    end


   
    
if broken == false then 

    if tonumber(string.format("%.1f", GetJointMovement(garageSwingJoint2))) ~= tonumber(string.format("%.1f", gsjt2)) and tonumber(string.format("%.1f", GetJointMovement(garagePrismJoint2))) ~= tonumber(string.format("%.1f", gpjt2)) then
		PlayLoop(motorSound,triggerpos.pos)
        --DebugPrint('moving')
        SetLightEnabled(glight,true)
	else 
       -- DebugPrint('not moving')
       SetLightEnabled(glight,false)
    end

    SetJointMotorTarget(garagePrismJoint, gpjt, speedp)
    SetJointMotorTarget(garagePrismJoint2, gpjt2, speedp)

    SetJointMotorTarget(garageSwingJoint2, gsjt, speeds)
    SetJointMotorTarget(garageSwingJoint, gsjt2, speeds)
else 
   -- DebugPrint('broken')
    Delete(garagePrismJoint)
    Delete(garagePrismJoint2)
    Delete(garageSwingJoint2)
    Delete(garageSwingJoint)
    
end
    
end